[Unit]
Description=PostgreSQL Server Exporter
Requires=network-online.target
After=network.target

[Service]
User={{ postgres_exporter_user }}
Group={{ postgres_exporter_group }}
Environment="DATA_SOURCE_NAME={{ postgres_exporter_datasource_name }}"
Environment="PG_EXPORTER_EXTEND_QUERY_PATH={{ prometheus_config_dir }}/postgres/queries.yml"
ExecStart={{ prometheus_base_dir }}/postgres_exporter/postgres_exporter
Restart=on-failure

[Install]
WantedBy=default.target
